Redmine - Feature #21445

Link to repository file in another project
2015-12-07 16:32 - Hans Ginzel

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description
See RedmineTextFormattingTextile, "Links to Repository files".

Add please links to files in another project for both Textile and Markdown. E.g.

source:project:repo_identifier|"some file"

History

#1 - 2021-02-05 20:43 - Mischa The Evil
- Category changed from Text formatting to Documentation
- Status changed from New to Closed

- Resolution set to Fixed

These links of Redmine links are implemented and documented properly currently. I'll close this issue as such. Please re-open if needed.

Hans Ginzel wrote:

(-]

source:project:repo_identifier|"some file"

FWIW: The actual, correct syntax is: project_identifier:source:repo_identifier|"some file".

#2 - 2024-03-05 10:50 - VVD VVD

But how to link on root of the repo?
This is doesn't work:

source:project:repo_identifier
source:project:repo_identifier|
source:project:repo_identifier]|.
source:project:repo_identifier|./
source:project:repo_identifier]|..
source:project:repo_identifier|../
source:project:repo_identifier|/
source:project:repo_identifier|/.
source:project:repo_identifier|./.
source:project:repo_identifier|/..
source:project:repo_identifier|existing_dir/..
source:project:repo_identifier|existing_dir/../

Also cant't link on a file or dir containg 2 dots in a row:

source:project:repo_identifier|file..name
Also if a file or dir begin with dot.

Half work:

source:project:repo_identifier|//
